%define oname oggre
%define name xmms-%oname
%define version 0.3
%define release %mkrel 4

Summary: Ogg output plugin for xmms
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/my-xmms-plugs/%{oname}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvorbis-devel 
BuildRequires: libxmms-devel
BuildRequires: automake1.4
Requires: xmms
Provides: oggre
Obsoletes: oggre
URL: http://sourceforge.net/projects/my-xmms-plugs/

%description
This xmms plugin writes Ogg Vorbis audio files to the hard disk.

%prep
%setup -q -n %oname-%version
chmod 644 AUTHORS ChangeLog
aclocal-1.4 -I macros
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Output/liboggre.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%_libdir/xmms/Output/liboggre.so
%changelog
* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2007.0
- Rebuild

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 0.3-3mdk
- Rebuild
- use mkrel

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.3-2mdk
- fix build on x86_64

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix URL
- new version
- rename from oggre

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-5mdk
- fix buildrequires
- drop prefix

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-4mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-3mdk
- fix installation

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- new vorbis

* Sun May 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- new version

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
